## darktable 2.2.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

cmake_policy(SET CMP0011 NEW)
cmake_policy(SET CMP0025 NEW)
cmake_policy(SET CMP0048 OLD) # don't touch PROJECT_VERSION/VERSION

#
# Avoid source tree pollution
#
set(CMAKE_DISABLE_SOURCE_CHANGES ON)
set(CMAKE_DISABLE_IN_SOURCE_BUILD ON)

If(CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)
  message(FATAL_ERROR "In-source builds are not permitted. Make a separate folder for building:\nmkdir build; cd build; cmake ..\nBefore that, remove the files already created:\nrm -rf CMakeCache.txt CMakeFiles")
endif(CMAKE_SOURCE_DIR STREQUAL CMAKE_BINARY_DIR)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules/")
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/")

project(darktable CXX C)

set(CMAKE_EXPORT_COMPILE_COMMANDS ON)

# Allow forcing the C/CPP compiler that is actually used during the compilation
# to something other than what is used by the cmake run. This is useful when
# the compiler for some reason breaks the initial cmake checks but works fine
# for actually compiling darktable. This allows building darktable using
# afl-clang-fast achieving a >4x speedup in fuzzing.
IF(DEFINED DT_FORCE_C_COMPILER)
  set(CMAKE_C_COMPILER ${DT_FORCE_C_COMPILER})
endif()
IF(DEFINED DT_FORCE_CXX_COMPILER)
  set(CMAKE_CXX_COMPILER ${DT_FORCE_CXX_COMPILER})
endif()

include(CheckCCompilerFlag)
include(TestBigEndian)

# Check if this is source package build
if(NOT IS_DIRECTORY ${CMAKE_SOURCE_DIR}/.git)
  set(SOURCE_PACKAGE 1)
else()
  set(SOURCE_PACKAGE 0)
endif()

# Include GNUInstallDirs, which sets sensible defaults for install directories.
# See https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html for further information.
# These values can be easily overridden if required.
# Some defaults are set for OpenBSD as well (info and man pages).

include(GNUInstallDirs)

option(USE_CAMERA_SUPPORT "Detect and use camera support if available." ON)
option(USE_NLS "Build Native Language Support (using gettext)" ON)
option(USE_COLORD "Enable colord support" ON)
option(USE_MAP "Build Map View parts" ON)
option(USE_LUA "Build lua scripting support" ON)
option(DONT_USE_INTERNAL_LUA "Never fall back to the intree copy of lua" ON)
option(USE_FLICKR "Enable Flickr support" ON)
option(USE_KWALLET "Build kwallet password storage back-end" ON)
option(USE_LIBSECRET "Build libsecret password storage back-end" ON)
option(USE_UNITY "Use libunity to report progress in the launcher" OFF)
option(USE_OPENMP "Use openmp threading support." ON)
option(USE_OPENCL "Use OpenCL support." ON)
option(USE_GRAPHICSMAGICK "Use GraphicsMagick library for image import." ON)
option(USE_DARKTABLE_PROFILING OFF)
option(CUSTOM_CFLAGS "Don't override compiler optimization flags." OFF)
option(BUILD_USERMANUAL "Build all the versions of the usermanual." OFF)
option(BINARY_PACKAGE_BUILD "Sets march optimization to generic" OFF)
option(USE_XMLLINT "Run xmllint to test if darktableconfig.xml is valid" ON)
option(USE_OPENJPEG "Enable JPEG 2000 support" ON)
option(USE_WEBP "Enable WebP export support" ON)
option(BUILD_CMSTEST "Build a test program to check your system's color management setup" ON)
option(USE_OPENEXR "Enable OpenEXR support" ON)
option(BUILD_PRINT "Build the print module" ON)
option(BUILD_RS_IDENTIFY "Build the darktable-rs-identify debug aid" ON)
option(BUILD_SSE2_CODEPATHS "(EXPERIMENTAL OPTION, DO NOT DISABLE) Building SSE2-optimized codepaths" ON)
option(VALIDATE_APPDATA_FILE "Use appstream-util (if found) to validate the .appdata file" OFF)

if(USE_OPENCL)
  option(TESTBUILD_OPENCL_PROGRAMS "Test-compile opencl programs (needs llvm and clang 3.9+)" ON)
else()
  set(TESTBUILD_OPENCL_PROGRAMS OFF)
endif()

if(BUILD_SSE2_CODEPATHS)
  CHECK_C_COMPILER_FLAG("-msse2" _MSSE2)
  if(NOT _MSSE2)
    MESSAGE(WARNING "Building of SSE2-optimized codepaths is enabled, but the compiler does not understand -msse2.")
    set(BUILD_SSE2_CODEPATHS OFF)
  endif()
endif()

MESSAGE(STATUS "Building SSE2-optimized codepaths: ${BUILD_SSE2_CODEPATHS}")

test_big_endian(BIGENDIAN)
if(${BIGENDIAN})
	# we do not really want those.
	# besides, no one probably tried darktable on such systems
	MESSAGE(FATAL_ERROR "Found big endian system. Bad.")
else()
	MESSAGE(STATUS "Found little endian system. Good.")
endif(${BIGENDIAN})

check_c_source_compiles("
#include <stdio.h>
int main() {
#include \"${CMAKE_SOURCE_DIR}/src/is_supported_platform.h\"
}" IS_SUPPORTED_PLATFORM)
if(NOT IS_SUPPORTED_PLATFORM)
  MESSAGE(FATAL_ERROR "The target platform is not supported!")
endif(NOT IS_SUPPORTED_PLATFORM)
MESSAGE(STATUS "Is the target platform supported: ${IS_SUPPORTED_PLATFORM}")

if(APPLE)
	option(USE_MAC_INTEGRATION "Enable OS X integration" ON)
else(APPLE)
	set(USE_MAC_INTEGRATION OFF)
endif(APPLE)

# When cross compiling, CMAKE_INSTALL_PREFIX will point to something like "/opt/darktable", but that's not useful when using the path to load
# modules on runtime. Then we need something like "C:\Program Files\darktable". Doesn't need to be set when doing regular compiles.
if(NOT DEFINED RUNTIME_INSTALL_PREFIX)
  set(RUNTIME_INSTALL_PREFIX ${CMAKE_INSTALL_PREFIX})
endif(NOT DEFINED RUNTIME_INSTALL_PREFIX)

# Generate multi arch triplet
EXECUTE_PROCESS(COMMAND dpkg-architecture -qDEB_HOST_MULTIARCH OUTPUT_VARIABLE CMAKE_ARCH_TRIPLET OUTPUT_STRIP_TRAILING_WHITESPACE)
if(CMAKE_ARCH_TRIPLET)
	message("-- multiarch triplet detected: " ${CMAKE_ARCH_TRIPLET})
	LIST(INSERT CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES 0 /lib/${CMAKE_ARCH_TRIPLET}
		/usr/lib/${CMAKE_ARCH_TRIPLET})
endif()

#
# Set platform defaults...
#
if(APPLE)
	message("-- Mac OS X build detected, setting default features")

	# prefer macports and/or user-installed libraries over system ones
	LIST(APPEND CMAKE_PREFIX_PATH /opt/local /usr/local)
	set(CMAKE_FIND_FRAMEWORK "LAST")
	# except libstdc++ (only one linked via -l flag, not full path)
	set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -L/usr/lib")
	set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -L/usr/lib")
	set(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -L/usr/lib")

	set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -D_DARWIN_C_SOURCE")
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -D_DARWIN_C_SOURCE")
	add_definitions("-DOS_OBJECT_USE_OBJC=0")
endif(APPLE)

include(compiler-versions)

if(WIN32)
  message("-- Win32 build detected, setting default features")
  set(USE_CAMERA_SUPPORT OFF)
endif(WIN32)


#
# Set package version
#
file(MAKE_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/src/") # the src/ subdirectory won't exist yet

# adds custom command to generate header containing version info.
# takes 1 optional parameter - version override.
function(generate_version_gen_c)
  if(ARGC EQUAL 2)
    # if a version override was specified, use it
    set(_VERSION "${ARGV0}")
    set(_TYPE "${ARGV1}")
  else()
    # else, the tool will autodetect the version
    set(_VERSION "")
    set(_TYPE "git checkout")
  endif()

  add_custom_target(
    create_version_gen ALL
    COMMAND ${CMAKE_SOURCE_DIR}/tools/create_version_c.sh ${CMAKE_BINARY_DIR}/src/version_gen.c ${_VERSION}
    DEPENDS ${CMAKE_SOURCE_DIR}/tools/create_version_c.sh
    WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
    COMMENT "Updating version string (${_TYPE})"
    VERBATIM # else might break when export-subst was needed but did not happen
  )
endfunction(generate_version_gen_c)

if(DEFINED PROJECT_VERSION)
  #project version is defined by -D on the cmake command line
  # only use that value, do not update it at make time
  generate_version_gen_c(${PROJECT_VERSION} "version override")
else(DEFINED PROJECT_VERSION)
  if(NOT SOURCE_PACKAGE) # i.e., a git checkout
    # this part is setting the corresponding CMake variable which gets used for example when creating a source package
    execute_process(
      COMMAND ${CMAKE_SOURCE_DIR}/tools/get_git_version_string.sh OUTPUT_STRIP_TRAILING_WHITESPACE
      OUTPUT_VARIABLE PROJECT_VERSION
      WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})
    # FIXME: PROJECT_VERSION will not be updated automatically, until you rerun cmake
    generate_version_gen_c()
  else(NOT SOURCE_PACKAGE)
    if(NOT EXISTS ${CMAKE_SOURCE_DIR}/src/version_gen.c)
      # should be expanded by git archive due to export-subst in .gitattributes
      set(PROJECT_VERSION "archive-3a8aa201e55cf29092b4503bb5198c410d62e68d")
      # but was it expanded?
      if(PROJECT_VERSION MATCHES Format)
        set(PROJECT_VERSION "unknown-version")
      endif(PROJECT_VERSION MATCHES Format)
      generate_version_gen_c(${PROJECT_VERSION} "source package")
    else(NOT EXISTS ${CMAKE_SOURCE_DIR}/src/version_gen.c)
      # no need to create version_gen.c if it's already shipped. that is for example the case with our release tarballs
      execute_process(
        COMMAND ${CMAKE_SOURCE_DIR}/tools/parse_version_c.sh ${CMAKE_SOURCE_DIR}/src/version_gen.c OUTPUT_STRIP_TRAILING_WHITESPACE
        OUTPUT_VARIABLE PROJECT_VERSION
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
      )
      # FIXME: (irrelevant) PROJECT_VERSION will not be updated automatically, until you rerun cmake
      # but generate_version target expects it to be in build dir, so we need to copy it
      add_custom_target(
        create_version_gen ALL
        COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_SOURCE_DIR}/src/version_gen.c ${CMAKE_BINARY_DIR}/src/version_gen.c
        DEPENDS ${CMAKE_SOURCE_DIR}/src/version_gen.c
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        COMMENT "Updating version string (source package) - ${PROJECT_VERSION}"
      )
    endif(NOT EXISTS ${CMAKE_SOURCE_DIR}/src/version_gen.c)
  endif(NOT SOURCE_PACKAGE)
endif(DEFINED PROJECT_VERSION)

# needed to make sure that version string is actually updated.
add_custom_command(
  OUTPUT ${CMAKE_BINARY_DIR}/src/version_gen.c
  COMMAND ${CMAKE_COMMAND} -E echo
  DEPENDS create_version_gen
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

# WARNING: no target should reference version_gen.c directly. instead, they should add_dependencies(yourtarget generate_version)
add_custom_target(
  generate_version ALL
  DEPENDS ${CMAKE_BINARY_DIR}/src/version_gen.c
  WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
)

# Add a sensible build type default and warning because empty means no optimization and no debug info.
if(NOT CMAKE_BUILD_TYPE)
	message("WARNING: CMAKE_BUILD_TYPE is not defined!\n         Defaulting to CMAKE_BUILD_TYPE=RelWithDebInfo. Use ccmake to set a proper value.")
	SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel." FORCE)
endif(NOT CMAKE_BUILD_TYPE)

if(CMAKE_BUILD_TYPE MATCHES "^[Dd][Ee][Bb][Uu][Gg]$" AND SOURCE_PACKAGE)
  message(FATAL_ERROR "ERROR: Debug build type most likely isn't what you want, use RelWithDebInfo instead. If you're absolutely sure that this is what you want then just comment out this line.")
endif()

include(compiler-warnings)

# Setting the runtime path works differently on OSX than on Linux or BSD.
# Hence use a variable that maps those in the correct way for each OS.
if(APPLE)
    # The string "@loader_path" should end up in the executable as-is.
    set(RPATH_DT "@loader_path")
else(APPLE)
    # Note that $ORIGIN is not a variable but has a special meaning at runtime.
    # The string "$ORIGIN" should end up in the executable as-is.
    set(RPATH_DT "$ORIGIN")
endif(APPLE)

if(NOT WIN32)
  # Windows doesn't know the concept of RPATHs :(
  set(CMAKE_BUILD_WITH_INSTALL_RPATH TRUE)
  set(CMAKE_INSTALL_RPATH_USE_LINK_PATH FALSE)
  set(CMAKE_INSTALL_RPATH ${RPATH_DT}/../${CMAKE_INSTALL_LIBDIR}/darktable)
endif(NOT WIN32)

# we need some external programs for building darktable
message(STATUS "Looking for external programs")
set(EXTERNAL_PROGRAMS_FOUND 1)

# we need perl for introspection
find_program(perl_BIN perl)
if(${perl_BIN} STREQUAL "perl_BIN-NOTFOUND")
  message(STATUS "Missing perl")
  set(EXTERNAL_PROGRAMS_FOUND 0)
else(${perl_BIN} STREQUAL "perl_BIN-NOTFOUND")
  message(STATUS "Found perl")

=== src/CMakeLists.txt ===
include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)
include(CheckCSourceCompiles)

#
# Add files for libdarktable
#
FILE(GLOB SOURCE_FILES
  "bauhaus/bauhaus.c"
  "common/bilateral.c"
  "common/bilateralcl.c"
  "common/cache.c"
  "common/calculator.c"
  "common/collection.c"
  "common/color_picker.c"
  "common/colorlabels.c"
  "common/colorspaces.c"
  "common/curve_tools.c"
  "common/cpuid.c"
  "common/darktable.c"
  "common/database.c"
  "common/dbus.c"
  "common/dtpthread.c"
  "common/exif.cc"
  "common/film.c"
  "common/file_location.c"
  "common/fswatch.c"
  "common/gaussian.c"
  "common/grouping.c"
  "common/history.c"
  "common/gpx.c"
  "common/image.c"
  "common/image_cache.c"
  "common/image_compression.c"
  "common/imageio.c"
  "common/imageio_jpeg.c"
  "common/imageio_png.c"
  "common/imageio_module.c"
  "common/imageio_pfm.c"
  "common/imageio_rgbe.c"
  "common/imageio_tiff.c"
  "common/imageio_gm.c"
  "common/imageio_rawspeed.cc"
  "common/import_session.c"
  "common/interpolation.c"
  "common/metadata.c"
  "common/mipmap_cache.c"
  "common/noiseprofiles.c"
  "common/pdf.c"
  "common/styles.c"
  "common/selection.c"
  "common/system_signal_handling.c"
  "common/tags.c"
  "common/utility.c"
  "common/variables.c"
  "common/pwstorage/backend_kwallet.c"
  "common/pwstorage/pwstorage.c"
  "common/opencl.c"
  "common/dynload.c"
  "common/dlopencl.c"
  "common/ratings.c"
  "common/resource_limits.c"
  "common/histogram.c"
  "control/control.c"
  "control/crawler.c"
  "control/jobs.c"
  "control/jobs/control_jobs.c"
  "control/jobs/develop_jobs.c"
  "control/jobs/film_jobs.c"
  "control/jobs/image_jobs.c"
  "control/progress.c"
  "control/signal.c"
  "develop/develop.c"
  "develop/imageop.c"
  "develop/imageop_math.c"
  "develop/lightroom.c"
  "develop/pixelpipe.c"
  "develop/blend.c"
  "develop/blend_gui.c"
  "develop/tiling.c"
  "develop/masks/masks.c"
  "develop/format.c"
  "dtgtk/button.c"
  "dtgtk/drawingarea.c"
  "dtgtk/expander.c"
  "dtgtk/gradientslider.c"
  "dtgtk/icon.c"
  "dtgtk/paint.c"
  "dtgtk/resetlabel.c"
  "dtgtk/sidepanel.c"
  "dtgtk/togglebutton.c"
  "gui/accelerators.c"
  "gui/gtkentry.c"
  "gui/guides.c"
  "gui/gtk.c"
  "gui/hist_dialog.c"
  "gui/preferences.c"
  "gui/presets.c"
  "gui/styles_dialog.c"
  "libs/lib.c"
  "views/view.c"
  "views/undo.c"
  )
FILE(GLOB HEADER_FILES "*.h" "common/*.h" "external/CL/*.h" "control/*.h" "iop/*.h" "libs/*.h" "views/*.h")

if(APPLE)
  list(APPEND SOURCE_FILES "osx/osx.mm")
  list(APPEND HEADER_FILES "osx/osx.h")
  set_source_files_properties(osx/osx.mm PROPERTIES LANGUAGE CXX)
endif(APPLE)

set(SOURCES ${SOURCE_FILES} ${HEADER_FILES})


include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/external)

# initial compiler flags
add_definitions("-DHAVE_CONFIG_H")

CHECK_C_COMPILER_FLAG("-std=c99" COMPILER_SUPPORTS_C99)
if(NOT COMPILER_SUPPORTS_C99)
        message(FATAL_ERROR "The compiler ${CMAKE_C_COMPILER} has no C99 support. Please use a different C compiler.")
endif()

CHECK_C_COMPILER_FLAG("-std=c11" COMPILER_SUPPORTS_C11)
if(NOT COMPILER_SUPPORTS_C11)
  message(FATAL_ERROR "The compiler ${CMAKE_C_COMPILER} has no C11 support. Please use a different C compiler.")
endif()

CHECK_CXX_COMPILER_FLAG("-std=c++11" COMPILER_SUPPORTS_CXX11)
if(NOT COMPILER_SUPPORTS_CXX11)
        message(FATAL_ERROR "The compiler ${CMAKE_CXX_COMPILER} has no C++11 support. Please use a different C++ compiler.")
endif()

set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=c99")
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

if(APPLE AND (CMAKE_CXX_COMPILER_ID STREQUAL "AppleClang" OR CMAKE_CXX_COMPILER_ID STREQUAL "Clang"))
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -stdlib=libc++")
        list(REMOVE_ITEM CMAKE_CXX_IMPLICIT_LINK_LIBRARIES stdc++)
        list(APPEND CMAKE_CXX_IMPLICIT_LINK_LIBRARIES c++)
        list(REMOVE_DUPLICATES CMAKE_CXX_IMPLICIT_LINK_LIBRARIES)
endif()

# Need to explicitly link against math library.
list(APPEND LIBS "-lm")

# Check for openmp
find_package(OpenMP)
if(OpenMP_C_FLAGS AND USE_OPENMP)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
  if(WIN32)
    list(APPEND LIBS gomp)
  endif(WIN32)
endif(OpenMP_C_FLAGS AND USE_OPENMP)

if(USE_DARKTABLE_PROFILING)
	add_definitions(-DUSE_DARKTABLE_PROFILING)
	set(SOURCES ${SOURCES} "common/profiling.c")
endif()

#
# Find all other required libraries for building
#
# GTK3 does pull glib, but this allows us to check for the version
find_package(Glib 2.40 REQUIRED)
add_definitions("-DGLIB_VERSION_MIN_REQUIRED=GLIB_VERSION_2_40")
add_definitions("-DGLIB_VERSION_MAX_ALLOWED=GLIB_VERSION_MIN_REQUIRED")
include_directories(SYSTEM ${Glib_INCLUDE_DIRS})
list(APPEND LIBS ${Glib_LIBRARIES})

# GTK3 pulls in ATK, GDK, GDK-PIXBUF, CAIRO, GLIB, PANGO
find_package(GTK3 3.14 REQUIRED)
add_definitions("-DGDK_VERSION_MIN_REQUIRED=GDK_VERSION_3_14")
#add_definitions("-DGDK_VERSION_MAX_ALLOWED=GDK_VERSION_MIN_REQUIRED")
include_directories(SYSTEM ${GTK3_INCLUDE_DIRS})
list(APPEND LIBS ${GTK3_LIBRARIES})

# Check for libxml2 / broken cmake module can't be included in the foreach() below
find_package(LibXml2 2.6 REQUIRED)
include_directories(SYSTEM ${LIBXML2_INCLUDE_DIR})
list(APPEND LIBS ${LIBXML2_LIBRARIES})
add_definitions(${LIBXML2_DEFINITIONS})

# used to launch a tiny http server, used by facebook exporter
find_package(LibSoup2)
if(LIBSOUP2_FOUND)
  include_directories(SYSTEM ${LIBSOUP2_INCLUDE_DIRS})
  list(APPEND LIBS ${LIBSOUP2_LIBRARIES})
  add_definitions(${LIBSOUP2_DEFINITIONS})
  add_definitions("-DHAVE_HTTP_SERVER")
  list(APPEND SOURCES "common/http_server.c")
endif(LIBSOUP2_FOUND)

if(USE_CAMERA_SUPPORT)
  find_package(Gphoto2)
  include_directories(SYSTEM ${Gphoto2_INCLUDE_DIRS})
  list(APPEND LIBS ${Gphoto2_LIBRARIES})
  add_definitions(${Gphoto2_DEFINITIONS})
endif(USE_CAMERA_SUPPORT)

# # INotify isn't used anymore as it seems
# find_package(INotify)
# if(INOTIFY_FOUND)
#   include_directories(SYSTEM ${INOTIFY_INCLUDE_DIRS})
#   list(APPEND LIBS ${INOTIFY_LIBRARIES})
#   add_definitions(${INOTIFY_DEFINITIONS})
# endif(INOTIFY_FOUND)

if(USE_OPENEXR)
  find_package(OpenEXR)
  if(OPENEXR_FOUND)
    include_directories(SYSTEM ${OpenEXR_INCLUDE_DIRS})
    list(APPEND LIBS ${OpenEXR_LIBRARIES})
    add_definitions(${OpenEXR_DEFINITIONS})
    list(APPEND SOURCES "common/imageio_exr.cc")
  endif(OPENEXR_FOUND)
endif(USE_OPENEXR)

if(USE_WEBP)
   find_package(WebP 0.3.0)
  if(WEBP_FOUND)
    include_directories(SYSTEM ${WebP_INCLUDE_DIRS})
    list(APPEND LIBS ${WebP_LIBRARIES})
    add_definitions(${WebP_DEFINITIONS})
  endif(WEBP_FOUND)
  else(USE_WEBP)
endif(USE_WEBP)

foreach(lib ${OUR_LIBS} LensFun GIO GThread GModule PangoCairo PThread Rsvg2 LibXml2 Sqlite3 CURL PNG JPEG TIFF LCMS2 JsonGlib)
  find_package(${lib} REQUIRED)
  include_directories(SYSTEM ${${lib}_INCLUDE_DIRS})
  list(APPEND LIBS ${${lib}_LIBRARIES})
  add_definitions(${${lib}_DEFINITIONS})
endforeach(lib)

# Require exiv2 >= 0.24 to make sure everything we need is available
find_package(Exiv2 0.24 REQUIRED)
include_directories(SYSTEM ${Exiv2_INCLUDE_DIRS})
list(APPEND LIBS ${Exiv2_LIBRARIES})
add_definitions(${Exiv2_DEFINITIONS})

if(USE_FLICKR)
  find_package(FLICKCURL)
  if(FLICKCURL_FOUND)
    include_directories(SYSTEM ${FLICKCURL_INCLUDE_DIRS})
    list(APPEND LIBS ${FLICKCURL_LIBRARIES})
    add_definitions(${FLICKCURL_DEFINITIONS})
  endif(FLICKCURL_FOUND)
endif(USE_FLICKR)

if(USE_OPENJPEG)
  find_package(OpenJPEG)
  if(OpenJPEG_FOUND)
    add_definitions("-DHAVE_OPENJPEG")
    list(APPEND SOURCES "common/imageio_j2k.c")

    include_directories(SYSTEM ${OpenJPEG_INCLUDE_DIRS})
    list(APPEND LIBS ${OpenJPEG_LIBRARIES})
  endif(OpenJPEG_FOUND)
endif(USE_OPENJPEG)

#
# Detect compile of optional pwstorage backends
#
if(USE_LIBSECRET AND JsonGlib_FOUND)
  find_package(Libsecret)
  if(LIBSECRET_FOUND)
    if(LIBSECRET_VERSION VERSION_LESS "0.16")
      message(STATUS "Found libsecret version ${LIBSECRET_VERSION}. You need at least libsecret 0.16 or newer.")
      set(LIBSECRET_FOUND FALSE)
    else()
      if(LIBSECRET_VERSION VERSION_LESS "0.18")
        message(STATUS "Found libsecret version ${LIBSECRET_VERSION}. Enable unstable API. Please upgrade to version 0.18 or newer.")
        add_definitions("-DSECRET_API_SUBJECT_TO_CHANGE")
      endif()
      set(SOURCES ${SOURCES} "common/pwstorage/backend_libsecret.c")
      include_directories(SYSTEM ${LIBSECRET_INCLUDE_DIRS})
      list(APPEND LIBS ${LIBSECRET_LIBRARIES})
      add_definitions("-DHAVE_LIBSECRET")
    endif()
  endif(LIBSECRET_FOUND)
endif(USE_LIBSECRET AND JsonGlib_FOUND)

if(USE_KWALLET)
  add_definitions("-DHAVE_KWALLET")
endif(USE_KWALLET)

if(USE_MAC_INTEGRATION)
  find_package(MacIntegration)
  if(MACINTEGRATION_FOUND)
    include_directories(SYSTEM ${MacIntegration_INCLUDE_DIRS})
    list(APPEND LIBS ${MacIntegration_LIBRARIES})
    add_definitions("-DMAC_INTEGRATION")
  endif(MACINTEGRATION_FOUND)
endif(USE_MAC_INTEGRATION)

if(USE_UNITY)
  find_package(Unity)
  if(UNITY_FOUND)
    add_definitions(-DHAVE_UNITY)
    include_directories(SYSTEM ${UNITY_INCLUDE_DIRS})
    list(APPEND LIBS ${UNITY_LIBRARIES})
  endif(UNITY_FOUND)
endif(USE_UNITY)

if(USE_GRAPHICSMAGICK)
  find_package(GraphicsMagick)
  if(GraphicsMagick_FOUND)
    add_definitions(-DHAVE_GRAPHICSMAGICK)
    include_directories(SYSTEM ${GraphicsMagick_INCLUDE_DIRS})
    list(APPEND LIBS ${GraphicsMagick_LIBRARIES})
  endif(GraphicsMagick_FOUND)
endif(USE_GRAPHICSMAGICK)

#
# Add HAVE_xxx defines used by darktable
#
# if(INOTIFY_FOUND)
#   add_definitions("-DHAVE_INOTIFY")
# endif(INOTIFY_FOUND)

if(LENSFUN_FOUND)
  add_definitions("-DHAVE_LENSFUN")
endif(LENSFUN_FOUND)

if(OPENEXR_FOUND)
  add_definitions("-DHAVE_OPENEXR")
endif(OPENEXR_FOUND)

if(USE_OPENCL)
  add_definitions("-DHAVE_OPENCL")
endif(USE_OPENCL)


if(GPHOTO2_FOUND)
  set(SOURCES ${SOURCES} "common/camera_control.c" "control/jobs/camera_jobs.c" "gui/camera_import_dialog.c" )
  add_definitions("-DHAVE_GPHOTO2")

  # Gphoto 2.5 changed the prototype of a set of callback functions.
  # The interface change makes it necessary to detect the version here,
  # as it's not possible to do in code. Argh.
  # Diff: http://sourceforge.net/p/gphoto/code/12735/
  #
  # This workaround may be removed when darktable no longer needs
  # to support gphoto2 < 2.5.0.
  #
  if(${GPHOTO2_VERSION_STRING} VERSION_LESS "2.5")
  else()
    add_definitions("-DHAVE_GPHOTO_25_OR_NEWER")
  endif()
endif(GPHOTO2_FOUND)

# Check for __builtin_cpu_supports here due to a bug in clang/llvm. LLVM uses
# libgcc to provide the symbols, so if clang wasn't compiled with libgcc, the
# compiler will say it's available; however the linker cannot find the symbols.
# So do a quick test compile to see if it's actually available.
# See https://llvm.org/bugs/show_bug.cgi?id=25510
check_c_source_compiles("#include <stdio.h>
int main() {
  __builtin_cpu_init();
  printf(\"%d\", __builtin_cpu_supports(\"sse3\"));
}" HAVE_BUILTIN_CPU_SUPPORTS)
if(HAVE_BUILTIN_CPU_SUPPORTS)
  add_definitions("-DHAVE_BUILTIN_CPU_SUPPORTS")
endif(HAVE_BUILTIN_CPU_SUPPORTS)
MESSAGE(STATUS "Does the compiler support __builtin_cpu_supports(): ${HAVE_BUILTIN_CPU_SUPPORTS}")

check_c_source_compiles("
static __thread int tls;
int main(void)
{
  return 0;
}" HAVE_TLS)
if(NOT HAVE_TLS)
  MESSAGE(FATAL_ERROR "The compiler does not support Thread-local storage.")
endif()

if(NOT WIN32)
  set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -pthread")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pthread")
endif(NOT WIN32)

if(WIN32)
  # get rid of the console window. do we need both?
#   set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -mwindows -Wl,-subsystem,windows")
#   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mwindows -Wl,-subsystem,windows")

  set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,--enable-runtime-pseudo-reloc")

=== debian/changelog ===
darktable (2.2.4-1mx150+1) mx; urgency=medium

  * Rebuild for MX 15/16.

 -- Mike Elstad (v3g4n) <v3g4n@mxlinux.org>  Mon, 22 May 2017 19:36:41 -0500

darktable (2.2.4-1) experimental; urgency=medium

  * Assert compliance with policy 3.9.8
  * New upstream bugfix release
   - DNG: fix camera name demangling.
   - When using wayland, prefer XWayland
   - EXIF: properly handle image orientation '2' and '4' (swap them)
   - masks: avoid assertion failure in early phase of path generation,
   - masks: reduce risk of unwanted self-finalization of small path shapes
   - Camera import: fix ignore_jpg setting not having an effect
   - Picasa web exporter: unbreak after upstream API change
   - collection: fix query string for folders
  * Camera Support
   - Fujifilm X-T20 (only uncompressed raw, at the moment)
   - Fujifilm X100F (only uncompressed raw, at the moment)
   - Nikon COOLPIX B700 (12bit-uncompressed)
   - Olympus E-M1MarkII
   - Panasonic DMC-TZ61 (4:3, 3:2, 1:1, 16:9)
   - Panasonic DMC-ZS40 (4:3, 3:2, 1:1, 16:9)
   - Sony ILCE-6500

 -- David Bremner <bremner@debian.org>  Sun, 16 Apr 2017 11:58:35 -0300

darktable (2.2.3-4) experimental; urgency=medium

  * Drop i386 in experimental as well.

 -- David Bremner <bremner@debian.org>  Fri, 10 Mar 2017 15:33:43 -0400

darktable (2.2.3-3) experimental; urgency=medium

  * Use CMAKE_BUILD_TYPE=Release

 -- David Bremner <bremner@debian.org>  Tue, 07 Mar 2017 12:07:50 -0400

darktable (2.2.3-2) experimental; urgency=medium

  * Build with -O3 by default

 -- David Bremner <bremner@debian.org>  Sun, 05 Mar 2017 10:04:43 -0400

darktable (2.2.3-1) experimental; urgency=medium

  * New upstream bugfix release

 -- David Bremner <bremner@debian.org>  Sun, 19 Feb 2017 09:54:02 -0400

=== debian/control ===
Source: darktable
Section: graphics
Priority: optional
Maintainer: Mike Elstad (v3g4n) <v3g4n@mxlinux.org>
XSBC-Original-Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders: David Bremner <bremner@debian.org>
Bugs: mailto: <v3g4n@mxlinux.org>
Build-Depends: cmake,
               debhelper (>= 9),
               intltool,
               libcairo2-dev,
               libcolord-dev,
	       libcolord-gtk-dev,
               libcups2-dev,
               libcurl4-gnutls-dev | libcurl-dev,
               libexiv2-dev,
               libflickcurl-dev,
               libglib2.0-dev,
               libgphoto2-dev,
               libgraphicsmagick1-dev,
               libgtk-3-dev,
               libjpeg-dev,
               libjson-glib-dev,
               liblcms2-dev,
               liblensfun-dev,
               liblua5.2-dev,
               libopenexr-dev,
               libopenjp2-7-dev,
               libosmgpsmap-1.0-dev,
               libpng-dev,
               libpugixml-dev,
               librsvg2-dev,
               libsecret-1-dev,
               libsoup2.4-dev,
               libsqlite3-dev,
               libtiff5-dev,
               libtiff-dev,
               libwebp-dev,
               xsltproc
Standards-Version: 3.9.8
Homepage: http://www.darktable.org/
Vcs-Git: git://anonscm.debian.org/pkg-phototools/darktable.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-phototools/darktable.git;a=summary

Package: darktable
Architecture: any-amd64 any-arm64
Depends: ${shlibs:Depends}, ${misc:Depends}, libjs-prototype, libjs-scriptaculous
Replaces: darktable-plugins-legacy (<< 0.9), darktable-plugins-experimental (<< 1.0~)
Breaks: darktable-plugins-legacy (<< 0.9), darktable-plugins-experimental (<< 1.0~)
Description: virtual lighttable and darkroom for photographers
 Darktable manages your digital negatives in a database and lets you view
 them  through a zoomable lighttable. it also enables you to develop raw
 images and enhance them.
 .
 It tries to fill the gap between the many excellent existing free
 raw converters and image management tools (such as ufraw or f-spot).
 The user interface is built around efficient caching of image metadata and
 mipmaps, all stored in a database. the user will always be able to interact,
 even if the full resolution image is not yet loaded.
 .
 All editing is fully non-destructive and only operates on cached image
 buffers for display. the full image is only converted during export. The
 frontend is written in gtk+/cairo, the database uses sqlite3, raw image
 loading is done using rawspeed, high-dynamic range, and standard image formats
 such as jpeg are also supported. The core operates completely on floating
 point values, so darktable can not only be used for photography but also for
 scientifically acquired images or output of renderers (high dynamic range).

## darktable 2.2.5

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -141,6 +141,10 @@
         list(REMOVE_ITEM CMAKE_CXX_IMPLICIT_LINK_LIBRARIES stdc++)
         list(APPEND CMAKE_CXX_IMPLICIT_LINK_LIBRARIES c++)
         list(REMOVE_DUPLICATES CMAKE_CXX_IMPLICIT_LINK_LIBRARIES)
+        # Also remove incorrectly parsed -lto_library flag
+        # It wasn't present with Xcode 7.2 and appeared before 8.3 release
+        # cmake 3.7.2 doesn't understand this flag and thinks it's a library
+        list(REMOVE_ITEM CMAKE_CXX_IMPLICIT_LINK_LIBRARIES to_library)
 endif()
 
 # Need to explicitly link against math library.
@@ -200,14 +204,6 @@
   list(APPEND LIBS ${Gphoto2_LIBRARIES})
   add_definitions(${Gphoto2_DEFINITIONS})
 endif(USE_CAMERA_SUPPORT)
-
-# # INotify isn't used anymore as it seems
-# find_package(INotify)
-# if(INOTIFY_FOUND)
-#   include_directories(SYSTEM ${INOTIFY_INCLUDE_DIRS})
-#   list(APPEND LIBS ${INOTIFY_LIBRARIES})
-#   add_definitions(${INOTIFY_DEFINITIONS})
-# endif(INOTIFY_FOUND)
 
 if(USE_OPENEXR)
   find_package(OpenEXR)
@@ -318,9 +314,6 @@
 #
 # Add HAVE_xxx defines used by darktable
 #
-# if(INOTIFY_FOUND)
-#   add_definitions("-DHAVE_INOTIFY")
-# endif(INOTIFY_FOUND)
 
 if(LENSFUN_FOUND)
   add_definitions("-DHAVE_LENSFUN")

=== debian/changelog ===
darktable (1:2.2.5-0pmjdebruijn1~xenial) xenial; urgency=low

  * New upstream release.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Mon, 29 May 2017 19:02:07 +0200

darktable (1:2.2.4-0pmjdebruijn2~xenial) xenial; urgency=low

  * Depend on libopenjp2 instead of libopenjpeg.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Sun, 16 Apr 2017 16:43:19 +0200

darktable (1:2.2.4-0pmjdebruijn1~xenial) xenial; urgency=low

  * New upstream release.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Mon, 03 Apr 2017 19:38:22 +0200

darktable (1:2.2.3-0pmjdebruijn1~xenial) xenial; urgency=low

  * New upstream release.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Tue, 31 Jan 2017 21:42:20 +0100

darktable (1:2.2.2-0pmjdebruijn1~xenial) xenial; urgency=low

  * New upstream release.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Sun, 29 Jan 2017 13:28:49 +0100

darktable (1:2.2.1-0pmjdebruijn1~xenial) xenial; urgency=low

  * New upstream release.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Sat, 31 Dec 2016 16:18:19 +0100

darktable (1:2.2.0-0pmjdebruijn1~xenial) xenial; urgency=low

  * New upstream release.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Sun, 25 Dec 2016 14:57:50 +0100

darktable (1:2.2.0~rc3-0pmjdebruijn1~xenial) xenial; urgency=low

  * New upstream release candidate.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Mon, 12 Dec 2016 11:38:53 +0100

darktable (1:2.2.0~rc2-0pmjdebruijn1~xenial) xenial; urgency=low

  * New upstream release candidate.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Mon, 05 Dec 2016 19:31:20 +0100

darktable (1:2.2.0~rc1-0pmjdebruijn1~xenial) xenial; urgency=low

  * New upstream release candidate.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Wed, 23 Nov 2016 19:07:33 +0100

darktable (1:2.0.7-0pmjdebruijn1~xenial) xenial; urgency=low

  * New upstream release.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Tue, 25 Oct 2016 22:39:17 +0200

darktable (1:2.0.6-0pmjdebruijn1~xenial) xenial; urgency=low

  * New upstream release.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Mon, 05 Sep 2016 19:54:10 +0200

darktable (1:2.0.5-0pmjdebruijn1~xenial) xenial; urgency=low

  * New upstream release.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Mon, 04 Jul 2016 18:24:00 +0200

darktable (1:2.0.4+25~g1f15a3c-0pmjdebruijn1~xenial) xenial; urgency=low

  * New checkout from git (darktable-2.0.x branch).

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Mon, 27 Jun 2016 23:39:00 +0200

darktable (1:2.0.4-0pmjdebruijn1~xenial) xenial; urgency=low

  * New upstream release.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Wed, 04 May 2016 18:02:22 +0200

darktable (1:2.0.3+35~g85ee382-0pmjdebruijn1~xenial) xenial; urgency=low

  * New checkout from git (darktable-2.0.x branch).

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Mon, 25 Apr 2016 20:15:22 +0200

darktable (1:2.0.3+15~gd2e8eb8-0pmjdebruijn1~trusty) trusty; urgency=low

  * New checkout from git (darktable-2.0.x branch).

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Thu, 07 Apr 2016 18:31:09 +0200

darktable (1:2.0.3+4~gd48c861-0pmjdebruijn1~trusty) trusty; urgency=low

  * New checkout from git (darktable-2.0.x branch).

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Tue, 29 Mar 2016 19:38:01 +0200

darktable (1:2.0.3-0pmjdebruijn1~trusty) trusty; urgency=low

  * New upstream release.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Mon, 28 Mar 2016 18:11:56 +0200

darktable (1:2.0.2-0pmjdebruijn1~trusty) trusty; urgency=low

  * New upstream release.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Sun, 06 Mar 2016 14:05:09 +0100

darktable (1:2.0.1+53~gd5a9b0c-0pmjdebruijn1~trusty) trusty; urgency=low

  * New checkout from git (darktable-2.0.x branch).

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Sun, 06 Mar 2016 13:11:38 +0100

darktable (1:2.0.1+48~g353b1ff-0pmjdebruijn1~trusty) trusty; urgency=low

  * New checkout from git (darktable-2.0.x branch).

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Mon, 29 Feb 2016 17:53:24 +0100

darktable (1:2.0.1+28~g97dc47b-0pmjdebruijn1~trusty) trusty; urgency=low

  * New checkout from git (darktable-2.0.x branch).

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Fri, 19 Feb 2016 17:06:39 +0100

darktable (1:2.0.1-0pmjdebruijn1~trusty) trusty; urgency=low

  * New upstream release.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Tue, 02 Feb 2016 17:32:40 +0100

darktable (1:2.0.0+86~g77f5c60-0pmjdebruijn1~trusty) trusty; urgency=low

  * New checkout from git (darktable-2.0.x branch).

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Sun, 31 Jan 2016 19:04:35 +0100

darktable (1:2.0.0+61~g3da8787-0pmjdebruijn1~trusty) trusty; urgency=low

  * New checkout from git (darktable-2.0.x branch).

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Sat, 23 Jan 2016 20:13:09 +0100

darktable (1:2.0.0+20~g9e8574d-0pmjdebruijn1~trusty) trusty; urgency=low

  * New checkout from git (darktable-2.0.x branch).

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Mon, 04 Jan 2016 18:00:56 +0100

darktable (1:2.0.0-0pmjdebruijn1~trusty) trusty; urgency=low

  * New upstream release.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Tue, 22 Dec 2015 16:21:18 +0100

darktable (1:2.0~rc4+39~g610c496-0pmjdebruijn1~trusty) trusty; urgency=low

  * New checkout from git master.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Mon, 21 Dec 2015 13:31:24 +0100

darktable (1:2.0~rc4-0pmjdebruijn1~trusty) trusty; urgency=low

  * New upstream release candidate.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Tue, 15 Dec 2015 15:30:33 +0100

darktable (1:2.0~rc3+189~g41e56d9-0pmjdebruijn1~trusty) trusty; urgency=low

  * New checkout from git master.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Mon, 14 Dec 2015 14:08:39 +0100

darktable (1:2.0~rc3+136~g48472f2-0pmjdebruijn1~trusty) trusty; urgency=low

  * New checkout from git master.

 -- Pascal de Bruijn <pmjdebruijn@pcode.nl>  Wed, 09 Dec 2015 19:00:25 +0100

darktable (1:2.0~rc3+108~g4ae6a1b-0pmjdebruijn1~trusty) trusty; urgency=low

  * New checkout from git master.



=== debian/control ===
Source: darktable
Section: graphics
Priority: optional
Maintainer: Pascal de Bruijn <pmjdebruijn@pcode.nl>
Build-Depends: debhelper (>= 7.0.50~), quilt, cmake,
 liblcms2-dev, libpugixml-dev,
 libgtk-3-dev, libglib2.0-dev, libcairo2-dev, libosmgpsmap-1.0-dev,
 libjpeg-dev, libpng-dev, liblensfun-dev,
 libtiff-dev, libexiv2-dev, intltool,
 libsqlite3-dev, libopenexr-dev, libgphoto2-6-dev|libgphoto2-2-dev|libgphoto2-dev,
 libcurl4-gnutls-dev|libcurl-dev, libdbus-glib-1-dev, 
 libgnome-keyring-dev, libsecret-1-dev,
 librsvg2-dev, libflickcurl-dev, xsltproc, libsoup2.4-dev, 
 libglu1-mesa-dev, libsdl1.2-dev, libcolord-dev, libcolord-gtk-dev,
 libjson-glib-dev, libopenjp2-7-dev, libgraphicsmagick1-dev, libwebp-dev,
 liblua5.2-dev, libcups2-dev
Standards-Version: 3.9.5
Homepage: http://www.darktable.org/

Package: darktable
Architecture: any-i386 any-amd64 any-arm64
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: darktable-plugins-legacy, darktable-plugins-experimental
Recommends: darktable-dbg, gvfs
Description: Virtual lighttable and darkroom for photographers
 Darktable manages your digital negatives in a database and lets you view
 them through a zoomable lighttable. it also enables you to develop raw
 images and enhance them.
 .
 It tries to fill the gap between the many excellent existing free
 raw converters and image management tools (such as ufraw or f-spot).
 The user interface is built around efficient caching of image metadata and
 mipmaps, all stored in a database. the user will always be able to interact,
 even if the full resolution image is not yet loaded.
 .
 All editing is fully non-destructive and only operates on cached image
 buffers for display. the full image is only converted during export. The
 frontend is written in gtk+/cairo, the database uses sqlite3, raw image
 loading is done using rawspeed, high-dynamic range, and standard image formats
 such as jpeg are also supported. The core operates completely on floating
 point values, so darktable can not only be used for photography but also for
 scientifically acquired images or output of renderers (high dynamic range).

Package: darktable-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, darktable (= ${binary:Version})
Description: Virtual lighttable and darkroom for photographers (debug)
 Darktable manages your digital negatives in a database and lets you view
 them  through a zoomable lighttable. it also enables you to develop raw
 images and enhance them.
 .
 This package contains the debugging symbols

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DBUILD_CMSTEST=1 \
		-DCMAKE_BUILD_TYPE=Release \
		-DBINARY_PACKAGE_BUILD=1

override_dh_strip:
	dh_strip --dbg-package=darktable-dbg

.PHONY: override_dh_auto_configure override_dh_strip
